namespace DuSoft.PcmDb.Entities;

public partial class Regula
{
    public decimal RegulaId { get; set; }

    public string? Nazwa { get; set; }

    public short Typ { get; set; }

    public short? TypKarty { get; set; }

    public DateTime? DataCzasOd { get; set; }

    public DateTime? DataCzasDo { get; set; }

    public short Priorytet { get; set; }

    public decimal? Number1 { get; set; }

    public decimal? Number2 { get; set; }

    public decimal? Number3 { get; set; }

    public decimal? Number4 { get; set; }

    public int? Int1 { get; set; }

    public int? Int2 { get; set; }

    public int? Int3 { get; set; }

    public int? Int4 { get; set; }

    public string? Str1 { get; set; }

    public string? Str2 { get; set; }

    public DateTime Zmiana { get; set; }

    public short Aktywny { get; set; }

    public decimal? CentrRegulaId { get; set; }

    public DateTime? Utworzono { get; set; }

    public DateTime? Usunieto { get; set; }

    public virtual ICollection<RegulaAsort> RegulaAsort { get; set; } = new List<RegulaAsort>();

    public virtual ICollection<RegulaDok> RegulaDok { get; set; } = new List<RegulaDok>();

    public virtual ICollection<RegulaKod> RegulaKod { get; set; } = new List<RegulaKod>();

    public virtual ICollection<RegulaPar> RegulaPar { get; set; } = new List<RegulaPar>();

    public virtual ICollection<RegulaParam> RegulaParam { get; set; } = new List<RegulaParam>();

    public virtual ICollection<RegulaPozDok> RegulaPozDok { get; set; } = new List<RegulaPozDok>();

    public virtual ICollection<RegulaPozDokSzczeg> RegulaPozDokSzczeg { get; set; } = new List<RegulaPozDokSzczeg>();

    public virtual ICollection<RegulaPozPar> RegulaPozPar { get; set; } = new List<RegulaPozPar>();

    public virtual ICollection<RegulaPozParSzczeg> RegulaPozParSzczeg { get; set; } = new List<RegulaPozParSzczeg>();

    public virtual ICollection<RegulaProg> RegulaProg { get; set; } = new List<RegulaProg>();

    public virtual ICollection<RegulaSklep> RegulaSklep { get; set; } = new List<RegulaSklep>();

    public virtual ICollection<RegulaSklepAuth> RegulaSklepAuth { get; set; } = new List<RegulaSklepAuth>();

    public virtual ICollection<RegulaTekst> RegulaTekst { get; set; } = new List<RegulaTekst>();

    public virtual ICollection<RegulaTowar> RegulaTowar { get; set; } = new List<RegulaTowar>();
}
